Bug 1502778 - [RFE] Add Redux for State Management
Summary: [RFE] Add Redux for State Management
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Oleg Barenboim
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-16 16:38 UTC by Chris Kacerguis
Modified: 2019-02-07 23:00 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:38 UTC

Description Chris Kacerguis 2017-10-16 16:38:15 UTC
We implement Redux for state management within the service UI in order to facilitate the UIs working more closely together.

Comment 2 Chris Kacerguis 2017-10-19 12:57:33 UTC
PR: https://github.com/ManageIQ/manageiq-ui-service/pull/1062

Comment 3 Chris Kacerguis 2017-10-27 15:21:01 UTC
We implement Redux for state management within the service UI in order to facilitate the UIs working more closely together.

- [ ] Migrate appliance info setting to utilize Redux

> Change ApplianceInfo.set(response) to not have to run between page changes. Only set that when someone logs in and use redux to set and retrieve the appliance info.

- [ ] Migrate functionality to set language to utilize Redux

> Update how we persist selected language to use Redux. This needs to change in such a way that removes this notion of having to set language on page reload. Language factory should support retrieving selected language from redux when requested. This means deprecating Language.onReload(response)

- [ ] Migrate functionality for LoadUser to use Redux

> Move all functionality related to a user into its own service and remove it from Session Factory.  Set this use redux to store user data between page reloads

Comment 5 Chris Hale 2018-02-15 17:21:08 UTC
GH PR https://github.com/ManageIQ/manageiq-ui-service/pull/1351

Comment 9 Niyaz Akhtar Ansari 2019-01-24 09:35:34 UTC
Hi Satoe,

Can you please confirm you have back-ported it.
I can't find these files in appliance.

Comment 11 Niyaz Akhtar Ansari 2019-01-24 13:12:31 UTC
Thanks Satoe

Verified in Version 5.10.0.32.20190115185124_c957ada

Comment 12 errata-xmlrpc 2019-02-07 23:00:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.